Subject: bug#15913: 24.3.50; regression: mouse-face does not stay on (turn-off due to tooltip?)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2013 23:04:49 +0200

> Date: Sun, 17 Nov 2013 09:49:02 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> 
> The same symptom is true wherever property `mouse-face' is used, AFAICT.
> When you move the mouse on top of such a zone, at first there is no
> highlighting, then there is highlighting very briefly, which disappears
> even when you keep the mouse in the same position over the zone.
> 
> If you move the mouse away from the `mouse-face' zone and then move it
> back over the zone, you will get another brief flash of highlighting.
> 
> Essentially, `mouse-face' has lost all of its highlighting, except
> for a brief flash as you move into the zone.  It should stay lit as long
> as the mouse is over the zone.
> 
> I see this in `emacs -Q', but especially in my setup.  In `emacs -Q', it
> seems that the highlighting disappears at the moment that a :help
> tooltip is displayed.  In my setup I have `tool-tip-mode' turned off.
> 
> This regression was introduced after this build (2013-08-23):

The refactoring fever strikes again.

Fixed for the w32 build in trunk revision 115130.

Can someone please check that the same change as I made in w32term.c
is required in xterm.c and nsterm.m, and if so, please commit
equivalent changes there?  TIA.